JLTMDbClient is an iOS wrapper on top of AFNetworking to interact with www.themoviedb.org API.
Switch branches/tags
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
DemoApplication
JLTMDbClient.xcodeproj
JLTMDbClient.xcworkspace
JLTMDbClient
JLTMDbClientTests
Pods
.gitignore
JLTMDbClient.podspec
LICENSE
Makefile
Podfile
Podfile.lock
README.md
Rakefile

README.md

JLTMDbClient

Version License Platform No Maintenance Intended

  • JLTMDbClient is an iOS wrapper on top of AFNetworking to interact with themoviedb.org API.

Installation:

Demo App:

  1. Clone the repository:
$ git clone git@github.com:JaviLorbada/JLTMDbClient.git
  1. Open the .xcworkspace file to see the example:
$ open JLTMDbClient.xcworkspace
  1. Run JLTMDbClient target to see a simple visual example.
  2. Run JLTMDbClientTests target to see different cases on how to use the API.

Screenshot Screenshot

Usage:

  1. Get your API KEY from themoviedb.org

"A TMDb user account is required to request an API key. Commercial users are approved on a per application basis. As always, you must attribute TMDb as the source of your data. Please be sure to read the API FAQ"

  1. Add JLTMDbClient to your application, and set up your API KEY.
#import <JLTMDbClient.h>
[[JLTMDbClient sharedAPIInstance] setAPIKey:@"API_KEY"];
  1. Call a service to get the response from the server *, i.e:
[[JLTMDbClient sharedAPIInstance] GET:kJLTMDbMoviePopular withParameters:nil andResponseBlock:^(id response, NSError *error) {
    if(!error){
        fetchedData = response;
        NSLog(@"Popular Movies: %@",fetchedData);
    }
}];

Unit Tests:

  • JLTMDbClient includes unit tests. In order to run the unit tests, you need to add your API_KEY. Then you can execute the tests using JLTMDbClientTests scheme within Xcode.

Using xctool

  • Tests can also be run from the command line or within a continuous integration environment with xctool, which can be installed with Homebrew:
$ brew update
$ brew install xctool --HEAD

"JLTMDBClientTests requires xctool 0.1.14 or above"

  • Once xctool is installed, you can execute the tests via rake test.

Screenshot

Using XCPretty

  • Tests can also be run from the command line or within a continuous integration environment with XCPretty, which can be installed:
$ gem install xcpretty

"XCPretty requires Ruby 1.8.7 or above."

  • Once XCPretty is installed, you can execute the tests via make test or make ci.

Screenshot

Compatibility:

  • Compatible with iOS 7.0.
  • Does require ARC.

Dependencies:

License:

Contact: